For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
      • GETGet custom lists
      • POSTCreate a custom list
      • GETGet a custom list
      • PATCHUpdate a custom list
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Bot Defender APICustom Lists

Get custom lists

GET
/v1/botDefender/customLists
GET
/api/v1/botDefender/customLists
$curl https://console.humansecurity.com/api/v1/botDefender/customLists \
> -H "Authorization: Bearer <token>"
1{
2 "result": true,
3 "message": "success",
4 "content": [
5 {
6 "_id": "64f8b12345678901234567ab",
7 "account_id": "642be969c2186cae012347b8",
8 "name": "IP Blocklist",
9 "status": "active",
10 "created_by": "admin@humansecurity.com",
11 "created_at": "2023-09-01T10:00:00Z",
12 "updated_at": "2023-09-01T15:30:00Z",
13 "updated_by": "admin@humansecurity.com",
14 "size": 150
15 }
16 ]
17}

Retrieve all custom lists for the authenticated account with optional search functionality.

The search parameter filters lists by finding those that contain identifiers with values matching the search term (case-insensitive). It does not search by list names or descriptions.

Was this page helpful?
Previous

Create a custom list

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

searchstringOptional

Search term to filter custom lists by their identifier values. This searches within the actual values of identifiers stored in the lists, not the list names or descriptions.

Example: Searching for “192.168” will return lists containing identifiers with values like “192.168.1.100”, “192.168.0.1”, etc.

Response

Successfully retrieved custom lists
resultboolean
Indicates if the request was successful
messagestring
Response message
contentlist of objects

Errors

401
Unauthorized Error
500
Internal Server Error